Forum Audiophonics.fr

Forum du site de vente en ligne Audiophonics.fr : Pour les amateurs de Home Audio, de Connectique et de DIY
Nous sommes actuellement le Sam 21 Juil 2018 12:53

Le fuseau horaire est UTC+1 heure




Publier un nouveau sujet Répondre au sujet  [ 54 message(s) ]  Aller vers la page 1, 2, 3  Suivant
Auteur Message
Message Publié : Ven 27 Oct 2017 13:34 
Hors-ligne
Avatar de l’utilisateur

Inscription : Lun 24 Jan 2011 12:55
Message(s) : 931
Code source du driver :
https://github.com/audiophonics/I-Sabre-K2M

Driver compilé : + Instructions d'installation

https://github.com/audiophonics/Volumio ... 028_plugin

Actuellement le driver est compilé pour le kernel 4.9.65
(uname -r pour vérifier la version)



######## La méthode ci-dessous ne fonctionne pas avec les dernièrs version de Volumio 2 ########

Pour les versions de volumio2 qui permettait l'installation de plugins tiers :

Nous allons parler ici de l'ajout du pilote spécifique à ce DAC (ici sous forme de Plug'in) permettant d'obtenir (entre autre) le contrôle du volume hardware intégré sous Volumio.

Vous pouvez le télécharger sous la forme d'un fichier Zippé ici : https://www.audiophonics.fr/fr/index.php?controller=attachment&id_attachment=557

Il vous suffit ensuite simplement d'effectuer un glisser / déposer (Drag and Drop) de celui-ci dans la page PLUGINS :

Image

Image

Et bien sur de l'activer.

Image

Voici les réglages par défaut que nous recommandons (Onglet Système).

Image

L'installation est extrêmement simplifiée et ne devrait poser de problème à personne, dans le cas contraire n'hésitez pas à nous contacter.

A noter qu'il s'agit ici d'ajouter des fonctionnalités spécifique, ce DAC fonctionne parfaitement avec un pilote standard par défaut comme le générique "RPI DAC".


Pièces jointes :
Volumio_I-Sabre ES9028Q2M.jpg
Volumio_I-Sabre ES9028Q2M.jpg [ 176.75 Kio | Consulté 4966 fois ]
Volumio_I-Sabre ES9028Q2M_3.jpg
Volumio_I-Sabre ES9028Q2M_3.jpg [ 22.64 Kio | Consulté 4966 fois ]
Volumio_I-Sabre ES9028Q2M_4.jpg
Volumio_I-Sabre ES9028Q2M_4.jpg [ 98.13 Kio | Consulté 4966 fois ]
Volumio_I-Sabre ES9028Q2M_2.jpg
Volumio_I-Sabre ES9028Q2M_2.jpg [ 20.8 Kio | Consulté 4966 fois ]

_________________
David
Haut
 Profil  
 
Message Publié : Lun 13 Nov 2017 13:52 
Hors-ligne

Inscription : Dim 20 Nov 2016 18:54
Message(s) : 60
Bonjour,
Avec quelle version de Volumio ce plugin est-il compatible ?
J'ai essayé avec la dernière en date (2.310) mais le DAC n'est pas reconnu bien que le plugin s'installe correctement.
D'avance merci.


Haut
 Profil  
 
Message Publié : Lun 20 Nov 2017 16:57 
Hors-ligne

Inscription : Lun 20 Nov 2017 16:41
Message(s) : 3
Bonjour,

J'ai le même problème avec le plugin ES9028Q2M.
J'utilise la version de Volumio v2.310.

Le plugin s'installe bien, il apparaît bien dans la liste, je le sélectionne et l'active.
Je retrouve mon DAC dans la liste des Devices, je le sélectionne et Volumio redémarre...

Au redémarrage mon DAC est bien sélectionné, j'ai mis les mêmes paramètres que vous indiquez. Et au moment de lancer une lecture, Volumio me sort ces erreurs à répétition:
Failed to open "alsa" [alsa]; Failed to open ALSA device "hw:1,0": No such file or directory

Impossible de lire un fichier, je dois choisir un autre DAC dans la liste (en l'occurrence R-PI DAC) mais je n'ai plu le contrôle du volume.
Le volume reste à 100% ce qui engendre une distorsion audible.

Le problème vient soit de la maj Volumio ou d'un bug dans votre plugin.

Merci.


Haut
 Profil  
 
Message Publié : Mar 21 Nov 2017 21:00 
Hors-ligne

Inscription : Dim 20 Nov 2016 18:54
Message(s) : 60
Bonjour,
Le plugin mis en ligne par Audiophonics fonctionne correctement avec le kernel 4.9.40.
Depuis la version 2.310, Volumio utilise le kernel 4.9.51.
Il y a donc incompatibilité détectée lors du chargement du plugin par le kernel de Volumio 2.310 ou ultérieur.
J'ai recompilé le plugin sous le kernel 4.9.51.
Voir fichier joint.


Pièces jointes :
Description du fichier : Plugin Volumio 2.310 et ultérieur, kernel 4.9.51.
Q2M_kernel_4-9-51.zip [34.48 Kio]
Téléchargé 303 fois
Haut
 Profil  
 
Message Publié : Mer 22 Nov 2017 10:28 
Hors-ligne

Inscription : Lun 20 Nov 2017 16:41
Message(s) : 3
Bonjour Iznogoud,

Déjà un grand merci d'avoir trouvé la raison du problème de d'y avoir remédié...
Je teste le plugin ce soir, je ferai un retour.

Merci


Haut
 Profil  
 
Message Publié : Mer 22 Nov 2017 11:21 
Hors-ligne

Inscription : Mer 22 Nov 2017 11:18
Message(s) : 1
Thanks a million, you made my day today!


Haut
 Profil  
 
Message Publié : Mer 22 Nov 2017 19:18 
Hors-ligne

Inscription : Lun 20 Nov 2017 16:41
Message(s) : 3
:D BRAVO Iznogoud

Le plugin fonctionne parfaitement.
Merci et bonne écoute...


Haut
 Profil  
 
Message Publié : Dim 03 Déc 2017 15:46 
Hors-ligne

Inscription : Sam 02 Déc 2017 20:20
Message(s) : 1
Iznogoud a écrit :
Bonjour,
Le plugin mis en ligne par Audiophonics fonctionne correctement avec le kernel 4.9.40.
Depuis la version 2.310, Volumio utilise le kernel 4.9.51.
Il y a donc incompatibilité détectée lors du chargement du plugin par le kernel de Volumio 2.310 ou ultérieur.
J'ai recompilé le plugin sous le kernel 4.9.51.
Voir fichier joint.


Bonsoir, malheureusement mon lycée français n'est pas très bon...
May I ask a question in english: I'm using moode audioplayer and this uses kernel version 4.9.65. Could you provide a kernel driver for that version or the source code for compilation ?

merci beaucoup


Haut
 Profil  
 
Message Publié : Mar 05 Déc 2017 19:12 
Hors-ligne

Inscription : Dim 20 Nov 2016 18:54
Message(s) : 60
kai a écrit :
Bonsoir, malheureusement mon lycée français n'est pas très bon...
May I ask a question in english: I'm using moode audioplayer and this uses kernel version 4.9.65. Could you provide a kernel driver for that version or the source code for compilation ?

merci beaucoup

Hello,
I'm sorry but I have no Moode knowledge.
If Moode is running the same Linux flavour as Volumio, I guess you can unzip the Volumio plugin file and extract the driver files.
Look at the install script to see where the files are copied.
Source code license status is unclear for me so I cannot send it to you.
Audiophonics has provided me with source code few weeks ago.
I suggest to ask them.


Haut
 Profil  
 
Message Publié : Dim 17 Déc 2017 20:08 
Hors-ligne

Inscription : Dim 20 Nov 2016 18:54
Message(s) : 60
Bonjour,

Ci-joint le plugin recompilé pour Volumio 2.344 et ultérieur avec le kernel 4.9.65.


Pièces jointes :
Description du fichier : Plugin ES9028Q2M kernel 4.9.65
Q2M_kernel_4-9-65.zip [34.49 Kio]
Téléchargé 197 fois
Haut
 Profil  
 
Message Publié : Lun 18 Déc 2017 20:30 
Hors-ligne

Inscription : Mar 27 Déc 2016 15:56
Message(s) : 13
This does not work for me. No sound. Earlier version worked 100%


Haut
 Profil  
 
Message Publié : Lun 18 Déc 2017 20:55 
Hors-ligne

Inscription : Dim 20 Nov 2016 18:54
Message(s) : 60
kjarrig a écrit :
This does not work for me. No sound. Earlier version worked 100%

It works fine for me.
Did you uninstall the previous one before upgrading Volumio to last release ?
Did you then install the new plugin ?
Did you check Volumio settings ?


Haut
 Profil  
 
Message Publié : Lun 18 Déc 2017 21:52 
Hors-ligne

Inscription : Mar 27 Déc 2016 15:56
Message(s) : 13
I did not uninstall the plugin before the upgrade. I'm setting up version 2.310, and try again.
I upgraded, and then uninstalled the plugin.

Thank you for your advice.


Haut
 Profil  
 
Message Publié : Mar 19 Déc 2017 00:13 
Hors-ligne

Inscription : Mar 27 Déc 2016 15:56
Message(s) : 13
Installed 2.344 and installed the plugin, works like a charm


Haut
 Profil  
 
Message Publié : Mer 17 Jan 2018 17:36 
Hors-ligne

Inscription : Dim 07 Jan 2018 10:04
Message(s) : 3
You can and should use PiCore besides Volumio.

I was told that I can’t..But I did. if you set your DAC as hifiberry Light, it works great.


Haut
 Profil  
 
Message Publié : Mar 30 Jan 2018 16:06 
Hors-ligne

Inscription : Mar 30 Jan 2018 14:22
Message(s) : 3
I've just received an ES9028 to replace the Allo Piano I've been using with my Pi 3 / Kali / Volumio 2.348 setup.
Installed the correct kernel from the above link. All working well and sounding good.

A few comments on the sound of the DAC -
It's a lot more refined, relaxed and less "in your face" than the Piano. Bass is not as heavy but is better balanced and more musical. Sound-stage is very open. Female sibilance is better controlled.


Haut
 Profil  
 
Message Publié : Dim 04 Mars 2018 13:28 
Hors-ligne

Inscription : Mar 30 Jan 2018 14:22
Message(s) : 3
Since the last updates to Volumio ( Currently 2.368) the plug in needs to be included in the Volumio release. Volumio no longer supports plug in uploads. Mamboberry Dac+ and HiFiBerry DAC ( Not + ) work apart for the volume control on the Playback screen.


Haut
 Profil  
 
Message Publié : Dim 18 Mars 2018 15:45 
Hors-ligne
Administrateur - Site Admin
Avatar de l’utilisateur

Inscription : Mer 26 Juil 2006 12:21
Message(s) : 423
Localisation : Bordeaux
You can manually install this one on the 2018-02-18 version (kernel 4.9.65)

https://github.com/audiophonics/Volumio ... 028_plugin


Haut
 Profil  
 
Message Publié : Jeu 22 Mars 2018 22:40 
Hors-ligne

Inscription : Dim 20 Nov 2016 18:54
Message(s) : 60
Bonjour,

Ci-joint le plugin recompilé pour Volumio 2.376 et ultérieur avec le kernel 4.9.80.
Pensez à désinstaller l'ancien plugin avant de procéder à la mise à jour de Volumio.
Après la mise à jour de Volumio et avant d'installer le nouveau plugin, vérifiez que la langue anglaise est sélectionnée et active.
Ensuite, installez le nouveau plugin.
Lorsque tout fonctionne correctement, vous pouvez alors sélectionner une autre langue que l'anglais.


Pièces jointes :
Q2M_kernel_4-9-80.zip [34.48 Kio]
Téléchargé 64 fois
Haut
 Profil  
 
Message Publié : Jeu 22 Mars 2018 22:44 
Hors-ligne

Inscription : Dim 20 Nov 2016 18:54
Message(s) : 60
JLH64 a écrit :
Since the last updates to Volumio ( Currently 2.368) the plug in needs to be included in the Volumio release. Volumio no longer supports plug in uploads.


Manual plugin upload is still working fine in last Volumio release 2.378.


Haut
 Profil  
 
Message Publié : Mar 27 Mars 2018 11:28 
Hors-ligne
Administrateur - Site Admin
Avatar de l’utilisateur

Inscription : Mer 26 Juil 2006 12:21
Message(s) : 423
Localisation : Bordeaux
Merci pour l'update Iznogoud ! 8)

Étrange cette histoire de langue ? Quel rapport avec le plugin ?


Haut
 Profil  
 
Message Publié : Mar 27 Mars 2018 12:24 
Hors-ligne

Inscription : Dim 20 Nov 2016 18:54
Message(s) : 60
Nicko a écrit :
Merci pour l'update Iznogoud ! 8)

Étrange cette histoire de langue ? Quel rapport avec le plugin ?

C'est lié au fichier définissant la partie IHM (inexistante) du plugin qui n'est localisée qu'en anglais.
Quand on fait l'installation sur un Volumio configuré dans une langue autre que l'anglais, tout semble bien se passer mais ça ne fonctionne pas ensuite.
Il faut donc remettre Volumio en anglais, installer le nouveau plugin (après désinstallation de l'ancien) et relocaliser Volumio si nécessaire.


Haut
 Profil  
 
Message Publié : Dim 01 Avr 2018 10:06 
Hors-ligne

Inscription : Dim 01 Avr 2018 10:03
Message(s) : 6
Bonjour,
Nouveau sur ce forum, j'ai récemment acheté une carte fille pour mon rasperry, comme vous tous, ca fait 48h que je m'arrache les cheveux (ca va j'en ai encore beaucoup) et tout s'installe petit à petit, mais il me reste maintenant à intégrer ce plugin, et autant avec l'ancienne version de volumio il suffisait d'un bete glisser-déplacer-lacher pour installer le plugin, autant cette manip ne fonctionne pas avec la nouvelle mouture de volumio. J'ai aussi bien essayé sous firefox que sous chrome. Pouvez vous m'aiguiller svp pour la mise en place du plugin? Faut-il que je le décompresse au préalable? Merci par avance.
Alexandre.


Haut
 Profil  
 
Message Publié : Dim 01 Avr 2018 10:22 
Hors-ligne

Inscription : Dim 20 Nov 2016 18:54
Message(s) : 60
Alexandre a écrit :
Bonjour,
et autant avec l'ancienne version de volumio il suffisait d'un bete glisser-déplacer-lacher pour installer le plugin, autant cette manip ne fonctionne pas avec la nouvelle mouture de volumio. J'ai aussi bien essayé sous firefox que sous chrome.

Rien n'a changé, le glisser/déposer fonctionne parfaitement.


Haut
 Profil  
 
Message Publié : Dim 01 Avr 2018 10:28 
Hors-ligne

Inscription : Dim 01 Avr 2018 10:03
Message(s) : 6
Lorsque je le glisse-déplace, il me demande si je veux ouvrir ou enregistrer, et quoi que je choisisse, rien n'apparait dans les plugin, je n'ai aucune modification dans les plugin installés.


Haut
 Profil  
 
Afficher les messages publiés depuis :  Trier par  
Publier un nouveau sujet Répondre au sujet  [ 54 message(s) ]  Aller vers la page 1, 2, 3  Suivant

Le fuseau horaire est UTC+1 heure


Qui est en ligne ?

Utilisateur(s) parcourant ce forum : Aucun utilisateur inscrit et 1 invité


Vous ne pouvez pas publier de nouveaux sujets dans ce forum
Vous ne pouvez pas répondre aux sujets dans ce forum
Vous ne pouvez pas éditer vos messages dans ce forum
Vous ne pouvez pas supprimer vos messages dans ce forum
Vous ne pouvez pas insérer de pièces jointes dans ce forum

Recherche de :
Aller vers :  
Propulsé par phpBB® Forum Software © phpBB Group
Traduction et support en français • Utiliser phpBB avec un certificat SSL